## org.apache.poi.hmef.attribute
Class TNEFStringAttribute

    java.lang.Object
      org.apache.poi.hmef.attribute.TNEFAttribute
          org.apache.poi.hmef.attribute.TNEFStringAttribute

    public final class TNEFStringAttribute

extends TNEFAttribute

A String attribute which applies to a `HMEFMessage` or one of its `Attachment`s.

Constructor Summary
`protected` `TNEFStringAttribute(int id, int type, java.io.InputStream inp)` Constructs a single new string attribute from the id, type, and the contents of the stream

Method Summary
`static java.lang.String` `getAsString(TNEFAttribute attr)` Returns the string of a Attribute, converting as appropriate
`java.lang.String` `getString()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hmef.attribute.TNEFAttribute
`create, getData, getProperty, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TNEFStringAttribute

    protected TNEFStringAttribute(int id,
                                  int type,
                                  java.io.InputStream inp)
                           throws java.io.IOException

  Constructs a single new string attribute from the id, type, and the contents of the stream

  Throws:
    `java.io.IOException`

Method Detail

### getString

    public java.lang.String getString()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TNEFAttribute`

### getAsString

    public static java.lang.String getAsString(TNEFAttribute attr)

  Returns the string of a Attribute, converting as appropriate

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.